Bug 1603535 - bzr: FTBFS in Fedora rawhide
Summary: bzr: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bzr
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Henrik Nordström
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1585626 F29FTBFS 1675810
TreeView+ depends on / blocked
 
Reported: 2018-07-19 15:13 UTC by Mohan Boddu
Modified: 2019-02-14 01:58 UTC (History)
4 users (show)

Fixed In Version: bzr-2.7.0-23.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-14 01:58:06 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2018-07-19 15:13 UTC, Mohan Boddu
no flags Details
root.log (1.00 KB, text/plain)
2018-07-19 15:13 UTC, Mohan Boddu
no flags Details
state.log (607 bytes, text/plain)
2018-07-19 15:13 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 15:13:02 UTC
bzr failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28170251


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix bzr at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
bzr will be orphaned. Before branching of Fedora 30,
bzr will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 15:13:10 UTC
Created attachment 1460823 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Mohan Boddu 2018-07-19 15:13:13 UTC
Created attachment 1460824 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Mohan Boddu 2018-07-19 15:13:17 UTC
Created attachment 1460825 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:48:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Scott K Logan 2019-01-31 22:57:40 UTC
This just failed again for the f30 rebuild, and the f28 package is no longer installable because the Python 2 dependencies aren't available.

Comment 6 Scott K Logan 2019-01-31 23:51:11 UTC
Please see: https://src.fedoraproject.org/rpms/bzr/pull-request/2

Comment 7 Thomas Moschny 2019-02-01 16:51:18 UTC
This also affects other packages, like etckeeper and ikiwiki, which fail to rebuild in the current F30 rebuild. Please fix asap.

Comment 8 Björn 'besser82' Esser 2019-02-12 14:44:01 UTC
(In reply to Thomas Moschny from comment #7)
> This also affects other packages, like etckeeper and ikiwiki, which fail to
> rebuild in the current F30 rebuild. Please fix asap.

https://koji.fedoraproject.org/koji/buildinfo?buildID=1208657

Comment 9 Fedora Update System 2019-02-12 15:01:01 UTC
bzr-2.7.0-23.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-87a96ec7dc

Comment 10 Fedora Update System 2019-02-12 20:26:19 UTC
bzr-2.7.0-23.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-87a96ec7dc

Comment 11 Fedora Update System 2019-02-14 01:58:06 UTC
bzr-2.7.0-23.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.